## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Needed for Python bootstrap
%bcond_without tests

Name:           python-pyproject-hooks
Version:        1.0.0
Release:        %autorelease
Summary:        Wrappers to call pyproject.toml-based build backend hooks

# SPDX
License:        MIT
URL:            https://pypi.org/project/pyproject_hooks/
Source:         %{pypi_source pyproject_hooks}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This is a low-level library for calling build-backends in
pyproject.toml-based project. It provides the basic functionality
to help write tooling that generates distribution files from
Python projects.}


%description %_description

%package -n     python3-pyproject-hooks
Summary:        %{summary}

%description -n python3-pyproject-hooks %_description


%prep
%autosetup -p1 -n pyproject_hooks-%{version}
sed -i "/flake8/d" dev-requirements.txt


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:dev-requirements.txt}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyproject_hooks


%check
%pyproject_check_import
%if %{with tests}
%pytest
%endif


%files -n python3-pyproject-hooks -f %{pyproject_files}
%doc README.rst
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.0.0-13
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 09 2023 Miro Hrončok <miro@hroncok.cz> - 1.0.0-10
- Confirm the "MIT" license is SPDX

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.0.0-8
- Rebuilt for Python 3.12

* Tue Jun 06 2023 Miro Hrončok <miro@hroncok.cz> - 1.0.0-7
- At least check import the Python module when built --without tests

* Tue Jun 06 2023 Miro Hrončok <miro@hroncok.cz> - 1.0.0-6
- Avoid a tox BuildRequires by using the dev-requirements.txt file directly

* Tue Jun 06 2023 Miro Hrončok <miro@hroncok.cz> - 1.0.0-5
- Drop manual BuildRequires generated by %%pyproject_buildrequires

* Tue Jan 24 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 1.0.0-4
- Add bcond to disable tests, needed for Python bootstrap

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 12 2023 Lumír Balhar <lbalhar@redhat.com> - 1.0.0-1
- Initial package

## END: Generated by rpmautospec
